package network;

import java.util.*;
import java.io.*;
import timer.*;
import debug.*;
import link.*;

class LinkStateMessage
{
   public int seqNum;
   public String sourceName;
   public Vector links;

   public String toString ()
   {
      String retval = "" + "From: '" + sourceName + "' " + seqNum + "\n";
      if (links != null)
         {
         Enumeration e = links.elements ();
         while (e.hasMoreElements ())
            {
            LinkStateItem item = (LinkStateItem) e.nextElement ();
            retval = retval + "   -> '" + item.destName + 
                              "'  (" + item.bandwidth + " Mb/s)\n";
            }
         }

      return retval;
   }
}

